package com.ruoyi.project.training.elearn.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.elearn.domain.TElQuRepo;
import com.ruoyi.project.training.elearn.domain.TElUserQu;

/**
 * 题目题库关联Mapper接口
 *
 * @author ssy
 * @date 2024-05-28
 */
public interface TElQuRepoMapper
{
    /**
     * 查询题目题库关联
     *
     * @param id 题目题库关联ID
     * @return 题目题库关联
     */
    public TElQuRepo selectTElQuRepoById(Long id);

    /**
     * 查询题目题库关联列表
     *
     * @param tElQuRepo 题目题库关联
     * @return 题目题库关联集合
     */

    public List<TElQuRepo> selectTElQuRepoList(TElQuRepo tElQuRepo);

    /**
     * 新增题目题库关联
     *
     * @param tElQuRepo 题目题库关联
     * @return 结果
     */
    public int insertTElQuRepo(TElQuRepo tElQuRepo);

    /**
     * 修改题目题库关联
     *
     * @param tElQuRepo 题目题库关联
     * @return 结果
     */
    public int updateTElQuRepo(TElQuRepo tElQuRepo);

    /**
     * 删除题目题库关联
     *
     * @param id 题目题库关联ID
     * @return 结果
     */
    public int deleteTElQuRepoById(Long id);

    /**
     * 批量删除题目题库关联
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTElQuRepoByIds(Long[] ids);

    TElQuRepo selectTElQuRepoLast(TElUserQu tElUserQu);

    void deleteQu();
}
